Ruby: ext/digest/rmd160/rmd160.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Functions
rmd160.h File Reference
`#include "../defs.h"`

Go to the source code of this file.

## Data Structures
struct | RMD160_CTX

## Macros
#define | RMD160_Init rb_Digest_RMD160_Init
#define | RMD160_Transform rb_Digest_RMD160_Transform
#define | RMD160_Update rb_Digest_RMD160_Update
#define | RMD160_Finish rb_Digest_RMD160_Finish
#define | RMD160_BLOCK_LENGTH 64
#define | RMD160_DIGEST_LENGTH 20
#define | RMD160_DIGEST_STRING_LENGTH (RMD160_DIGEST_LENGTH * 2 + 1)

## Functions
__BEGIN_DECLS int RMD160_Init | _ ((RMD160_CTX *))
void RMD160_Transform | _ ((uint32_t[5], const uint32_t[16]))
void RMD160_Update | _ ((RMD160_CTX *, const uint8_t *, size_t))
int RMD160_Finish | _ ((RMD160_CTX *, uint8_t[20]))

## Macro Definition Documentation

## ◆ RMD160_BLOCK_LENGTH

#define RMD160_BLOCK_LENGTH 64

Definition at line 52 of file rmd160.h.

## ◆ RMD160_DIGEST_LENGTH

#define RMD160_DIGEST_LENGTH 20

Definition at line 53 of file rmd160.h.

## ◆ RMD160_DIGEST_STRING_LENGTH

#define RMD160_DIGEST_STRING_LENGTH (RMD160_DIGEST_LENGTH * 2 + 1)

Definition at line 54 of file rmd160.h.

## ◆ RMD160_Finish

#define RMD160_Finish rb_Digest_RMD160_Finish

Definition at line 42 of file rmd160.h.

## ◆ RMD160_Init

#define RMD160_Init rb_Digest_RMD160_Init

Definition at line 39 of file rmd160.h.

## ◆ RMD160_Transform

#define RMD160_Transform rb_Digest_RMD160_Transform

Definition at line 40 of file rmd160.h.

## ◆ RMD160_Update

#define RMD160_Update rb_Digest_RMD160_Update

Definition at line 41 of file rmd160.h.

## Function Documentation

## ◆ _() [1/4]

__BEGIN_DECLS int RMD160_Init _ | ( | (RMD160_CTX *) |  | ) |

## ◆ _() [2/4]

void RMD160_Update _ | ( | (RMD160_CTX *, const uint8_t *, size_t) |  | ) |

## ◆ _() [3/4]

int RMD160_Finish _ | ( | (RMD160_CTX *, uint8_t[20]) |  | ) |

## ◆ _() [4/4]

void RMD160_Transform _ | ( | (uint32_t[5], const uint32_t[16]) |  | ) |